Browse Source

Add support for locally mounted CD with packages

Georgi Chorbadzhiyski 19 years ago
parent
commit
be8746e441
1 changed files with 16 additions and 7 deletions
  1. 16
    7
      config.sh

+ 16
- 7
config.sh View File

@@ -1,7 +1,7 @@
1 1
 #!/bin/sh
2 2
 # SlackCheck configuration file
3 3
 #
4
-# $Id: config.sh,v 1.8 2004/01/05 09:04:57 gf Exp $
4
+# $Id: config.sh,v 1.9 2005/01/28 12:47:05 gf Exp $
5 5
 #
6 6
 
7 7
 PATH="/bin:/usr/bin:/usr/local/bin"
@@ -19,6 +19,12 @@ DL_HOST="http://mirrors.unixsol.org/slackware/slackware-${SLACK_VER}"
19 19
 #DL_HOST="ftp://ftp.slackware.com/pub/slackware/slackware-${SLACK_VER}"
20 20
 #DL_HOST="http://ftp.planetmirror.com/pub/slackware/slackware-${SLACK_VER}"
21 21
 
22
+# Slackware is somewhere on the local disk
23
+# If you want to upgrade packages from Slackware CD, mount Slack CD-ROM
24
+# to /mnt/cdrom (mount /dev/cdrom /mnt/cdrom) and uncomment the line bellow
25
+#DL_HOST="/mnt/cdrom"
26
+#DL_HOST="/home/gf/mnt/slack/mirror/slackware-current"
27
+
22 28
 # Set variable to "0" if you dont want some of the functionality
23 29
 
24 30
 MD5_CHECK="1"             # Check md5 sums of downloaded packages
@@ -38,17 +44,20 @@ SMART_UPGRADE="1"         # When lilo-* or kernel-* packages are updated run
38 44
 
39 45
 # This program will be used to download files from web
40 46
 DL_PRG="wget"
41
-
42
-# Non-verbose mode of the new wget is fucked up. It shows what is downloaded
43
-# after finishing the download and I think thats very irritating
44
-#DL_PRG_OPTS="-nv"
47
+DL_PRG_OPTS="--progress=bar:force"
45 48
 
46 49
 # Used for ftp downloads
47 50
 echo $DL_HOST | grep ^ftp://
48 51
 if [ $? = 0 ]; then
49 52
 	DL_PRG="wget"
50
-	DL_PRG_OPTS="--passive"
51
-#	DL_PRG_OPTS="-nv --passive"
53
+	DL_PRG_OPTS="--passive --progress=bar:force"
54
+fi
55
+
56
+# If files are on the local disk
57
+echo $DL_HOST | grep ^/
58
+if [ $? = 0 ]; then
59
+	DL_PRG="ln"
60
+	DL_PRG_OPTS="-sfv"
52 61
 fi
53 62
 
54 63
 # These programs will be used in collection and updating hosts

Loading…
Cancel
Save